<?php
    $wl = getWhiteLabel();
    $login = getLoginInfo();

    $site_name = '';
    $site_logo = '';
    $site_favicon = '';
    if($wl){
        if($wl->site_name){
            $site_name = $wl->site_name;
        }
        if($wl->site_footer){
            $site_footer = $wl->site_footer;
        }
        if($wl->site_logo){
            $site_logo = base_url()."uploads/site_settings/".$wl->site_logo;
		}
        if($wl->site_favicon){
            $site_favicon = base_url()."uploads/site_settings/".$wl->site_favicon;
        }
    }
?>
<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title><?php echo escape_output($site_name);?></title>
	<!-- Favicon -->
    <link rel="shortcut icon" href="<?php echo escape_output($site_favicon); ?>" type="image/x-icon">
    <link rel="icon" href="<?php echo escape_output($site_favicon); ?>" type="image/x-icon">
	<!-- jQuery 3.7.1 -->
	<script src="<?php echo base_url(); ?>assets/bower_components/jquery/dist/jquery.min.js"></script>
	<!-- Select2 -->
	<script src="<?php echo base_url(); ?>assets/bower_components/select2/dist/js/select2.full.min.js"></script>
    <link rel="stylesheet" href="<?php echo base_url(); ?>assets/bower_components/select2/dist/css/select2.min.css">

	<!-- Bootstrap 5.0.1 -->
	<link rel="stylesheet" href="<?php echo base_url(); ?>assets/bootstrap/bootstrap.min.css">
	<!-- Style css -->
	<link rel="stylesheet" href="<?php echo base_url(); ?>frequent_changing/css/login-2.css">
	  <!--==================Web Manifest===================-->
	<link rel="manifest" href="<?php echo base_url(); ?>frequent_changing/progressive_app/manifest.json">
</head>
<body>
	<section class="ftco-section">
		<div class="container">
			<div class="row justify-content-center">
				<div class="col-md-12 col-lg-10 login-card-wrapper">
					<div class="login-parent-wrapper">
						<?php
						if ($this->session->flashdata('exception_1')) {
							echo '<div class="input-container"><div class="alert alert-danger alert-dismissible"> 
							<a type="button" class="btn-close" data-bs-dismiss="alert" aria-hidden="true"></a>
							<div class="alert-body"><i class="icon fa fa-times"></i>';
							echo $this->session->flashdata('exception_1');unset($_SESSION['exception_1']);
							echo '</div></div></div>';
						}
						if ($this->session->flashdata('exception')) {
							echo '<div class="input-container"><div class="alert alert-success alert-dismissible"> 
							<a type="button" class="btn-close" data-bs-dismiss="alert" aria-hidden="true"></a>
							<div class="alert-body"><i class="icon fa fa-check me-2"></i>';
							echo $this->session->flashdata('exception');unset($_SESSION['exception']);
							echo '</div></div></div>';
						}
						?>
						<div class="wrap d-md-flex">
							<?php
								$login_img = isset($login->login_page_img) && $login->login_page_img ? $login->login_page_img : '';
								$logoPath = base_url().'uploads/site_settings/'. $login_img;
							?>
							<div class="img business-grap" style="background-image: url('<?php echo $logoPath; ?>');">
								<div class="overlay">
									<div>
										<h4><?php echo isset($login->title) && $login->title ? escape_output($login->title) : '' ?></h4>
										<p><?php echo isset($login->short_description) && $login->short_description ? escape_output($login->short_description) : '' ?></p>
									</div>
								</div>
							</div>
							<div class="login-wrap">
								<div class="d-flex justify-content-center logo-area">
									<a href="<?php echo base_url();?>">
										<img src="<?php echo $site_logo;?>" alt="site-logo">
									</a>
								</div>
								<div class="d-flex">
									<div class="w-100">
										<h3 class="mb-3 auth-title"><?php echo lang('please_login');?></h3>
									</div>	
								</div>
								<?php echo form_open(base_url() . 'Authentication/loginCheck', $arrayName = array('autocomplete' => 'off')) ?>
									<div class="form-group mb-3">
										<label class="label" for="name"><?php echo lang('email_address'); ?>/<?php echo lang('phone'); ?></label>
										<input  class="form-control" placeholder="<?php echo lang('email_address'); ?>/<?php echo lang('phone'); ?>"  type="text" id="phone_number" autocomplete="off" required name="email_address" value="<?php if(APPLICATION_MODE == 'demo'){ echo "admin@doorsoft.co"; }else{ echo '';} ?>">
										<?php if (form_error('email_address')) { ?>
										<div class="callout callout-danger my-2">
											<span class="error_paragraph"><?php echo form_error('email_address'); ?></span>
										</div>
										<?php } ?>
									</div>
									<div class="form-group mb-3">
										<label class="label" for="password"><?php echo lang('password'); ?></label>
										<input type="password" autocomplete="off" name="password"  value="<?php if(APPLICATION_MODE == 'demo'){ echo "123456"; }else{ echo '';} ?>" class="form-control password" placeholder="<?php echo lang('password'); ?>">
										<?php if (form_error('password')) { ?>
										<div class="callout callout-danger my-2">
											<span class="error_paragraph"><?php echo form_error('password'); ?></span>
										</div>
										<?php } ?>
									</div>
									<?php if(isServiceAccess('1','1','sGmsJaFJE')){ ?>
									<div class="form-group mb-3">
										<label class="label" for="signupwith">Login With</label>
										<select class="form-control select2" name="" id="login_with">
											<option value="">Select</option>
											<option value="1" selected>SaaS Admin</option>
											<option value="2">Company Admin</option>
										</select>
									</div>
									<?php } ?>
									<div class="d-flex py-10">
										<button type="submit" name="submit" value="submit" class="btn login-button btn-2 rounded submit me-1 login_trigger"><?= lang('login');?></button>
										<?php if(isServiceAccess('1','1','sGmsJaFJE')){ ?>
											<a href="<?php echo base_url();?>Authentication/signup" class="btn login-button btn-2 rounded submit me-1">Sign Up</a>
										<?php } ?>
									</div>
									<div class="d-flex justify-content-end forgot-pass-wrap">
										<a href="<?php echo base_url()?>forgot-password-step-one" class="forgot-pass"><?= lang('forgot_password');?>?</a>
									</div>
								<?php echo form_close(); ?>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>
	<script src="<?php echo base_url(); ?>assets/bootstrap/bootstrap.bundle.min.js"></script>
	<script src="<?php echo base_url(); ?>assets/copyright.js"></script>
	<script src="<?php echo base_url(); ?>frequent_changing/js/select-2-call.js"></script>
    <script src="<?php echo base_url(); ?>frequent_changing/progressive_app/app_custom.js"></script>
    <script src="<?php echo base_url(); ?>frequent_changing/js/login.js"></script>
</body>
</html>

