$(function () {
    "use strict";

    /**
     * Full Screen
     */
    let base_url = $("#base_url").val();
    let op_precision = $('#op_precision').val();
    function toggleFullscreen(elem) {
        elem = elem || document.documentElement;
        if (
            !document.fullscreenElement &&
            !document.mozFullScreenElement &&
            !document.webkitFullscreenElement &&
            !document.msFullscreenElement
        ) {
            if (elem.requestFullscreen) {
                elem.requestFullscreen();
            } else if (elem.msRequestFullscreen) {
                elem.msRequestFullscreen();
            } else if (elem.mozRequestFullScreen) {
                elem.mozRequestFullScreen();
            } else if (elem.webkitRequestFullscreen) {
                elem.webkitRequestFullscreen(Element.ALLOW_KEYBOARD_INPUT);
            }
            
        } else {
            if (document.exitFullscreen) {
                document.exitFullscreen();
            } else if (document.msExitFullscreen) {
                document.msExitFullscreen();
            } else if (document.mozCancelFullScreen) {
                document.mozCancelFullScreen();
            } else if (document.webkitExitFullscreen) {
                document.webkitExitFullscreen();
            }
            

        }
    }
    $(document).on("click", "#fullscreen", function (e) {
        toggleFullscreen();
    });
    function get_cart_data() {
        $.ajax({
            url: base_url + "customer-panel-data",
            method: "POST",
            dataType:'json',
            success: function (response) {
                if(response){
                    let totalItem = $('.single-item-wrap').length;
                    if(response.items_html){
                        $(".customer_display_body").html(response.items_html);
                    }else{
                        $(".customer_display_body").empty();
                    }
                    if(response.total_sub_total){
                        $(".subtotal-amt").html(Number(response.total_sub_total).toFixed(op_precision));
                    }else{
                        $(".subtotal-amt").html(Number(0).toFixed(op_precision));
                    }
                    if(totalItem){
                        $(".item-qty").html(Number(totalItem));
                    }else{
                        $(".item-qty").html(Number(0));
                    }
                    if(response.total_item){
                        $(".total-item-amt").html(response.total_item);
                    }else{
                        $(".total-item-amt").html(Number(0));
                    }
                    if(response.total_discount_amount){
                        $(".total-discount-amt").html(Number(response.total_discount_amount).toFixed(op_precision));
                    }else{
                        $(".total-discount-amt").html(Number(0).toFixed(op_precision));
                    }
                    if(response.total_discount){
                        $(".discount-amt").html(Number(response.total_discount).toFixed(op_precision));
                    }else{
                        $(".discount-amt").html(Number(0).toFixed(op_precision));
                    }
                    if(response.total_tax){
                        $(".tax-amt").html(Number(response.total_tax).toFixed(op_precision));
                    }else{
                        $(".tax-amt").html(Number(0).toFixed(op_precision));
                    }
                    if(response.total_charge){
                        $(".charge-amt").html(Number(response.total_charge).toFixed(op_precision));
                    }else{
                        $(".charge-amt").html(Number(0).toFixed(op_precision));
                    }
                    if(response.total_payable){
                        $(".total-payable-amt").html(Number(response.total_payable).toFixed(op_precision));
                    }else{
                        $(".total-payable-amt").html(Number(0).toFixed(op_precision));
                    }
                }else{
                    $(".subtotal-amt").html(Number(0).toFixed(op_precision));
                    $(".item-qty").html(Number(0));
                    $(".total-item-amt").html(Number(0));
                    $(".total-discount-amt").html(Number(0).toFixed(op_precision));
                    $(".discount-amt").html(Number(0).toFixed(op_precision));
                    $(".tax-amt").html(Number(0).toFixed(op_precision));
                    $(".charge-amt").html(Number(0).toFixed(op_precision));
                    $(".total-payable-amt").html(Number(0).toFixed(op_precision));
                }
            }
        });
    }
    setInterval(function(){
        get_cart_data();
    }, 1000);

});


